import { ModelInstance } from './createModel';

// 自动导入所有 model
const modelModules = import.meta.glob('@/models/*.ts', { eager: true });
const models: ModelInstance<any>[] = Object.values(modelModules).map((module: any) => {
    const modelName = Object.keys(module)[0];
    return module[modelName];
});

export default models;
